.page--half
  %h2= t('.title')
  = form_for resource,
             as: resource_name,
             url: registration_path(resource_name),
             html: { class: 'panel' } do |f|
    = render 'devise/shared/error_messages', resource: resource
    .form__field
      = f.label :username
      .form__field__input
        = f.text_field :username, autofocus: true, required: true

    .form__field
      = f.label :name
      .form__field__input
        = f.text_field :name

    .form__field
      = f.label :email
      .form__field__input
        = f.email_field :email, autocomplete: 'email', required: true

    .form__field
      = f.label :password
      .form__field__input
        = f.password_field :password, autocomplete: 'new-password', required: true
        - if @minimum_password_length
          .form__field__help= t('forms.help.min', min: @minimum_password_length)

    .form__field
      = f.label :password_confirmation
      .form__field__input
        = f.password_field :password_confirmation, autocomplete: 'new-password', required: true

    .form__actions= f.submit t('.sign_up'), class: 'add block'

  = render 'devise/shared/links'
